Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.payload
Class BundleProxyClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.eclipse.ohf.ihe.atna.payload.BundleProxyClassLoader

    public class BundleProxyClassLoader

extends java.lang.ClassLoader

Constructor Summary
`BundleProxyClassLoader(org.osgi.framework.Bundle bundle)`
`BundleProxyClassLoader(org.osgi.framework.Bundle bundle, java.lang.ClassLoader parent)`

Method Summary
`java.lang.Class` | `findClass(java.lang.String name)`
`java.net.URL` | `findResource(java.lang.String name)`
`java.util.Enumeration` | `findResources(java.lang.String name)`
`java.net.URL` | `getResource(java.lang.String name)`
`java.lang.Class` | `loadClass(java.lang.String name)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, getParent, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BundleProxyClassLoader

    public BundleProxyClassLoader(org.osgi.framework.Bundle bundle)

### BundleProxyClassLoader

    public BundleProxyClassLoader(org.osgi.framework.Bundle bundle,
                                  java.lang.ClassLoader parent)

Method Detail

### findResources

    public java.util.Enumeration findResources(java.lang.String name)
                                        throws java.io.IOException

  Overrides:
    `findResources` in class `java.lang.ClassLoader`
  Throws:
    `java.io.IOException`

### findResource

    public java.net.URL findResource(java.lang.String name)

  Overrides:
    `findResource` in class `java.lang.ClassLoader`

### findClass

    public java.lang.Class findClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

  Overrides:
    `findClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

### getResource

    public java.net.URL getResource(java.lang.String name)

  Overrides:
    `getResource` in class `java.lang.ClassLoader`

### loadClass

    public java.lang.Class loadClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

  Overrides:
    `loadClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD